#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int main(void)
{
  FILE *Sx,*Sy,*S;
  int i,j;
  int nx,ny;
  int y_count=0,dcount=0;
  FILE *str,*system_info;
  char dummy[256];
  char C;
  double sx,sy;


  system_info = fopen("system.info","r");

  while(fscanf(system_info,"%s",dummy) != EOF)
    if(strcmp(dummy,"Cells_in_X")==0) break;

  if(strcmp(dummy,"Cells_in_X")==0)
  {
    fscanf(system_info,"%d",&nx);
    printf("  * Cells_in_X = %d\n",nx);
  }
  else
  {
    printf("ERROR!! Loading Cells_in_X!\n");
    exit(1);
  }
  fscanf(system_info,"%s",dummy);
  if(strcmp(dummy,"Cells_in_Y")==0)
  {
    fscanf(system_info,"%d",&ny);
    printf("  * Cells_in_Y = %d\n",ny);
  }
  else
  {
    printf("ERROR!! Loading Cells_in_Y!\n");
    exit(1);
  }
  fclose(system_info);

  int *system = (int *)malloc(sizeof(int)*nx*ny);

  str = fopen("Sx.dat","r");
  for(j=0;j<ny;j++)
    for(i=0;i<nx;i++)
      fscanf(str,"%d",&system[i*ny+j]);
  fclose(str);

  str = fopen("Sx.dat","r");
  while(1)
  {
    C = fgetc(str);
    if((int)C == 10)
      y_count++;
    else if(C == EOF)
      break;
  }
  fclose(str);

  str = fopen("Sx.dat","r");
  while(fscanf(str,"%s",dummy) != EOF)
    dcount++;
  fclose(str);

  if(y_count != ny || dcount/y_count != nx)
  {
    printf("Structure size not matched!\n");
    return -1;
  }




  Sx=fopen("Sx.dat","r");
  Sy=fopen("Sy.dat","r");
  S=fopen("S.dat","w");

  for(j=0;j<ny;j++)
  {
    for(i=0;i<nx;i++)
    {
      fscanf(Sx,"%lf",&sx);
      fscanf(Sy,"%lf",&sy);

      fprintf(S,"%e\t",sqrt(sx*sx+sy*sy));
    }
    fprintf(S,"\n");
  }


  fclose(Sx);
  fclose(Sy);
  fclose(S);

  return 0;
}
